COPY_TO_USER_FROMIO(9)

NAME
copy_to_user_fromio - copy data from mmio-space to user-space

SYNOPSIS

int copy_to_user_fromio(void __user * dst, const volatile void __iomem * src, size_t count);

ARGUMENTS

dst
    the destination pointer on user-space

src
    the source pointer on mmio

count
    the data size to copy in bytes

DESCRIPTION

Copies the data from mmio-space to user-space.

RETURN

Zero if successful, or non-zero on failure.

COPYRIGHT